'use strict';

module.exports = function($) {
	$.fn.disableSelection = function() {
		return this
			.attr("unselectable", "on")
			.css("user-select", "none")
			.on("selectstart", false);
	}

	$.fn.enableSelection = function() {
		return this
			.removeAttr("unselectable")
			.css("user-select", "auto")
			.off("selectstart", false);
	}
}